---
title: RTCIceCandidatePairStats.responsesSent
slug: Web/API/RTCIceCandidatePairStats/responsesSent
tags:
  - API
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Responses
  - STUN
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - responsesSent
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} dictionary's <strong><code>responsesSent</code></strong> property indicates the total number of {{Glossary("STUN")}} connectivity check responses that have been sent so far on the connection described by this pair of candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>responsesSent</em> = <em>rtcIceCandidatePairStats</em>.responsesSent;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the number of times a repsonse has been sent to a {{Glossary("STUN")}} connectivity check request.</p>

<div class="notecard note">
<p><strong>Note:</strong> Since it isn't possible to tell the difference between connectivity check requests and consent requests, this value includes both.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-responsessent', 'RTCIceCandidatePairStats.responsesSent') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.responsesSent")}}</p>
